=== debian/watch ===
# For Debian packaging, only search for newer LTS releases, which have versions like <major>.0.<patch>
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/lxc/incus/tags .*/v(\d\.\d\.\d)\.tar\.gz debian
