## incus 6.0.1

=== Makefile ===
--- 
+++ 
@@ -94,12 +94,10 @@
 	exit 1
 endif
 	$(GO) get -t -v -d -u ./...
-	$(GO) get github.com/cenkalti/rpc2@v1.0.1
+	$(GO) get github.com/go-acme/lego/v4@v4.16.1
 	$(GO) mod tidy --go=1.21
 	$(GO) get toolchain@none
 
-	cd test/mini-oidc && $(GO) get -t -v -d -u ./...
-	cd test/mini-oidc && $(GO) mod tidy --go=1.21
 	@echo "Dependencies updated"
 
 .PHONY: update-ovsdb
