=== debian/changelog ===
incus (6.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:21:34 -0400

incus (6.0.1-2) experimental; urgency=medium

  * Team upload.
  * Compile against go-criu v7, Closes: #1078217

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 19:01:26 -0400

incus (6.0.1-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Update Build-Depends and Depends
    - Add minio-client to the list of incus' Recommended packages
  * Update d/watch for upstream's LTS tagging convention

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 29 Jun 2024 02:08:43 +0000
