=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
                dh-golang,
                golang-any (>= 2:1.21~),
                golang-github-armon-go-proxyproto-dev,
-               golang-github-checkpoint-restore-go-criu-dev (>= 6.3.0),
+               golang-github-cenkalti-backoff-dev,
+               golang-github-checkpoint-restore-go-criu-dev (>= 7),
                golang-github-cowsql-go-cowsql-dev,
                golang-github-digitalocean-go-qemu-dev,
                golang-github-digitalocean-go-smbios-dev,
                golang-github-dustinkirkland-golang-petname-dev,
                golang-github-flosch-pongo2.v4-dev,
                golang-github-fvbommel-sortorder-dev,
+               golang-github-go-chi-chi-dev,
+               golang-github-go-jose-go-jose-dev,
                golang-github-go-logr-logr-dev,
                golang-github-golang-jwt-jwt-v5-dev,
                golang-github-golang-protobuf-1-5-dev,
@@ -33,7 +36,6 @@
                golang-github-mdlayher-netx-dev,
                golang-github-mdlayher-vsock-dev,
                golang-github-miekg-dns-dev,
-               golang-github-minio-madmin-go-dev (>= 3.0.38),
                golang-github-minio-minio-go-v7-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-olekukonko-tablewriter-dev,
@@ -53,6 +55,7 @@
                golang-github-zitadel-oidc-dev (>= 3.0),
                golang-gocapability-dev,
                golang-golang-x-crypto-dev,
+               golang-golang-x-exp-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
@@ -80,13 +83,16 @@
 Multi-Arch: foreign
 Section: golang
 Depends: golang-github-armon-go-proxyproto-dev,
-         golang-github-checkpoint-restore-go-criu-dev (>= 6.3.0),
+         golang-github-cenkalti-backoff-dev,
+         golang-github-checkpoint-restore-go-criu-dev (>= 7),
          golang-github-cowsql-go-cowsql-dev,
          golang-github-digitalocean-go-qemu-dev,
          golang-github-digitalocean-go-smbios-dev,
          golang-github-dustinkirkland-golang-petname-dev,
          golang-github-flosch-pongo2.v4-dev,
          golang-github-fvbommel-sortorder-dev,
+         golang-github-go-chi-chi-dev,
+         golang-github-go-jose-go-jose-dev,
          golang-github-go-logr-logr-dev,
          golang-github-golang-jwt-jwt-v5-dev,
          golang-github-golang-protobuf-1-5-dev,
@@ -105,7 +111,6 @@
          golang-github-mdlayher-netx-dev,
          golang-github-mdlayher-vsock-dev,
          golang-github-miekg-dns-dev,
-         golang-github-minio-madmin-go-dev (>= 3.0.38),
          golang-github-minio-minio-go-v7-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-olekukonko-tablewriter-dev,
@@ -125,6 +130,7 @@
          golang-github-zitadel-oidc-dev (>= 3.0),
          golang-gocapability-dev,
          golang-golang-x-crypto-dev,
+         golang-golang-x-exp-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev,
@@ -161,7 +167,7 @@
          squashfs-tools,
          uidmap,
          xz-utils
-Recommends: apparmor, dnsmasq-base, incus-agent
+Recommends: apparmor, dnsmasq-base, incus-agent, minio-client
 # First line of suggested packages will enable additional Incus storage backends
 Suggests: btrfs-progs, ceph-common, lvm2, zfsutils-linux,
           incus-tools, gdisk
