=== debian/changelog ===
incus (6.0.2-1+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 26 Sep 2024 15:25:21 +0000

incus (6.0.2-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Bump minimum required version of golang-any to 1.22 per go.mod
    - Set minimum required version of golang-github-openfga-go-sdk

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Sep 2024 03:05:28 +0000
