=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>= 2:1.21~),
+               golang-any (>= 2:1.22~),
                golang-github-armon-go-proxyproto-dev,
                golang-github-cenkalti-backoff-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
@@ -39,7 +39,7 @@
                golang-github-minio-minio-go-v7-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-olekukonko-tablewriter-dev,
-               golang-github-openfga-go-sdk-dev,
+               golang-github-openfga-go-sdk-dev (>= 0.6.0),
                golang-github-osrg-gobgp-dev (>= 3.10.0),
                golang-github-ovn-org-libovsdb-dev,
                golang-github-pierrec-lz4-dev (>= 4.1.18),
@@ -114,7 +114,7 @@
          golang-github-minio-minio-go-v7-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-olekukonko-tablewriter-dev,
-         golang-github-openfga-go-sdk-dev,
+         golang-github-openfga-go-sdk-dev (>= 0.6.0),
          golang-github-osrg-gobgp-dev (>= 3.10.0),
          golang-github-ovn-org-libovsdb-dev,
          golang-github-pierrec-lz4-dev (>= 4.1.18),
