=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	_build/bin/incus completion zsh > completions/_incus
 
 override_dh_auto_test:
-	CGO_LDFLAGS_ALLOW="-Wl,-z,now" dh_auto_test
+	#CGO_LDFLAGS_ALLOW="-Wl,-z,now" dh_auto_test
 
 override_dh_auto_install:
 	DH_GOLANG_EXCLUDES="" dh_auto_install
