=== debian/changelog ===
incus (6.0.3-4) unstable; urgency=medium

  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Limit virtiofsd dependency to 64bit architectures
    - Set minimum required version of qemu
  * Cherry-pick upstream fix to allow virtiofsd on non-x86 architectures

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 02 Mar 2025 23:07:28 +0000

incus (6.0.3-3) unstable; urgency=medium

  * Update organization of binary packages:
    - bin:incus provides all dependencies to run both containers and VMs
    - bin:incus-base has just what is necessary for running containers
    - bin:incus-tools and bin:incus-migrate combined into bin:incus-extra

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 01 Mar 2025 17:16:21 +0000

incus (6.0.3-2) unstable; urgency=medium

  [ Kwok Guy ]
  * Initial SysV init scripts for incus

  [ Mathias Gibbens ]
  * Update years in d/copyright
  * Update d/README.Debian
  * Cherry-pick upstream fix to remove virtfs-proxy-helper dependency
  * Cherry-pick upstream fix for qemu device_id warning
  * Add startup wrapper script to allow directing logging to syslog
  * Add a patch to adjust the MinIO client's binary name to reflect Debian
    packaging

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 26 Jan 2025 01:19:17 +0000

incus (6.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1090375)
    - Includes fix for CVE-2024-6156
    - Rebase d/p/002-adjust-import-paths.patch
  * d/control:
    - Set minimum required version of golang-starlark-dev
    - Adjust recommended and suggested packages
  * Mention the swtpm-tools package in d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 20 Dec 2024 02:44:01 +0000
