=== debian/control ===
--- 
+++ 
@@ -66,12 +66,12 @@
                golang-gopkg-tomb.v2-dev,
                golang-gopkg-yaml.v2-dev,
                golang-k8s-utils-dev,
-               golang-starlark-dev,
+               golang-starlark-dev (>= 0.0~git20240725.42030a7),
                help2man,
                libacl1-dev,
                libcap-dev
 Build-Conflicts: golang-github-golang-protobuf-1-3-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/incus
 Vcs-Git: https://salsa.debian.org/go-team/packages/incus.git
 Homepage: https://linuxcontainers.org/incus/
@@ -141,7 +141,7 @@
          golang-gopkg-tomb.v2-dev,
          golang-gopkg-yaml.v2-dev,
          golang-k8s-utils-dev,
-         golang-starlark-dev,
+         golang-starlark-dev (>= 0.0~git20240725.42030a7),
          ${misc:Depends}
 Description: Powerful system container and virtual machine manager - library
  Incus is a next generation system container and virtual machine manager.
@@ -153,7 +153,36 @@
  their regular development workflow. Rather, they should use `go get`.
 
 Package: incus
-Architecture: linux-any
+# Technically this package is arch:all, but to use architecture restrictions for
+# the qemu-system-* dependencies, we must use a variant of arch:any
+Architecture: linux-any
+Depends: ${misc:Depends},
+         incus-agent (= ${binary:Version}),
+         incus-base (= ${binary:Version}),
+         qemu-system-arm (>= 1:8.0) [arm64 armel armhf],
+         qemu-system-mips (>= 1:8.0) [mips64el],
+         qemu-system-ppc (>= 1:8.0) [ppc64el],
+         qemu-system-riscv (>= 1:8.0) [riscv64],
+         qemu-system-s390x (>= 1:8.0) [s390x],
+         qemu-system-x86 (>= 1:8.0) [amd64 i386],
+         swtpm,
+         virtiofsd [!armel !armhf !i386]
+Suggests: gdisk
+Built-Using: ${misc:Built-Using}
+Description: Powerful system container and virtual machine manager - daemon
+ Incus is a next generation system container and virtual machine manager.
+ It offers a unified user experience around full Linux systems running
+ inside containers or virtual machines.
+ .
+ It's image based with pre-made images available for a wide number of
+ Linux distributions and is built around a very powerful, yet pretty
+ simple, REST API.
+ .
+ This metapackage will install everything needed to run containers and VMs.
+
+Package: incus-base
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          attr,
@@ -167,12 +196,15 @@
          squashfs-tools,
          uidmap,
          xz-utils
-Recommends: apparmor, dnsmasq-base, incus-agent, minio-client
+Recommends: apparmor, dnsmasq-base
 # First line of suggested packages will enable additional Incus storage backends
+# Second line lists additional optional tools
 Suggests: btrfs-progs, ceph-common, lvm2, zfsutils-linux,
-          incus-tools, gdisk
-Built-Using: ${misc:Built-Using}
-Description: Powerful system container and virtual machine manager - daemon
+          incus-extra, minio-client
+Built-Using: ${misc:Built-Using}
+Breaks: incus (<< 6.0.3-3~)
+Replaces: incus (<< 6.0.3-3~)
+Description: Powerful system container and virtual machine manager - daemon (container-only)
  Incus is a next generation system container and virtual machine manager.
  It offers a unified user experience around full Linux systems running
  inside containers or virtual machines.
@@ -181,7 +213,7 @@
  Linux distributions and is built around a very powerful, yet pretty
  simple, REST API.
  .
- This package contains the Incus daemon.
+ This package contains only what is needed to run containers.
 
 Package: incus-client
 # The incus binary doesn't depend on liblxc1, so it can be built for any architecture
@@ -200,12 +232,17 @@
  .
  This package contains the Incus command line client.
 
-Package: incus-tools
-Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
-# lxd-tools also ships a `fuidshift` binary; we expect src:lxd to only provide bin:golang-github-canonical-lxd-dev after the trixie release, so just use a simple Conflicts here
+Package: incus-extra
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         rsync
+Built-Using: ${misc:Built-Using}
+Breaks: incus-tools (<< 6.0.3-3~),
+        incus-migrate (<< 6.0.3-3~)
+Replaces: incus-tools (<< 6.0.3-3~),
+          incus-migrate (<< 6.0.3-3~)
+# lxd-tools also ships a `fuidshift` binary; we expect src:lxd to be RM'ed after the trixie release, so just use a simple Conflicts here
 Conflicts: lxd-tools
 Description: Powerful system container and virtual machine manager - extra tools
  Incus is a next generation system container and virtual machine manager.
@@ -217,21 +254,8 @@
   - lxc-to-incus - A tool to migrate LXC containers to Incus
   - lxd-to-incus - A tool to migrate LXD containers to Incus
   - incus-benchmark - A benchmarking tool for Incus
+  - incus-migrate - A tool to turn any filesystem into an Incus instance
   - incus-simplestreams - Maintain an Incus-compatible simplestreams tree
-
-Package: incus-migrate
-Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         rsync
-Built-Using: ${misc:Built-Using}
-Description: Incus physical to instance migration tool
- This tool lets you turn any Linux filesystem (including your current one)
- into a Incus instance on a remote Incus host.
- .
- It will setup a clean mount tree made of the root filesystem and any
- additional mount you list, then transfer this through Incus's migration
- API to create a new instance from it.
 
 Package: incus-agent
 Architecture: linux-any
