=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	_build/bin/incus completion zsh > completions/_incus
 
 override_dh_auto_test:
-	#CGO_LDFLAGS_ALLOW="-Wl,-z,now" dh_auto_test
+	CGO_LDFLAGS_ALLOW="-Wl,-z,now" dh_auto_test
 
 override_dh_auto_install:
 	DH_GOLANG_EXCLUDES="" dh_auto_install
@@ -50,14 +50,22 @@
 	find ./debian -name import-busybox -delete
 
 	# Need to rename various config files here, as dh_install cannot rename files
-	install -Dpm 0644 debian/incus.dnsmasq debian/tmp/etc/dnsmasq.d-available/incus
-	install -Dpm 0644 debian/incus.logrotate debian/tmp/etc/logrotate.d/incus
-	install -Dpm 0644 debian/incus.sysctl debian/tmp/etc/sysctl.d/10-incus-inotify.conf
+	install -Dpm 0644 debian/incus-base.dnsmasq debian/tmp/etc/dnsmasq.d-available/incus
+	install -Dpm 0644 debian/incus-base.sysctl debian/tmp/etc/sysctl.d/10-incus-inotify.conf
 
 override_dh_install:
 	dh_install
-	dh_installsysusers
+	dh_installlogrotate --name incus
+	dh_installsysusers --name incus
+
+override_dh_installinit:
+	dh_installinit --name incus
+	dh_installinit --name incus-user --no-stop-on-upgrade --no-restart-after-upgrade
+	dh_installinit --name incus-startup --no-stop-on-upgrade --no-restart-after-upgrade
 
 override_dh_installsystemd:
 	# Handle start / restart manually in incus.postinst
-	dh_installsystemd --no-stop-on-upgrade --no-restart-after-upgrade --no-start
+	dh_installsystemd --name incus-startup --no-stop-on-upgrade --no-restart-after-upgrade --no-start
+	dh_installsystemd --name incus --no-stop-on-upgrade --no-restart-after-upgrade --no-start
+	dh_installsystemd --name incus-user --no-stop-on-upgrade --no-restart-after-upgrade --no-start
+	dh_installsystemd --name incus-agent --no-stop-on-upgrade --no-restart-after-upgrade --no-start
